/renders
/api/v1/renders - POST
POST
/api/v1/rendersRequest Body
application/json
Batch render request
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/api/v1/renders" \ -H "Content-Type: application/json" \ -d '{ "templateId": "string", "content": { "property1": null, "property2": null }, "variants": [ { "format": "string", "kind": "still" } ] }'{ "batchId": "string", "jobs": [ { "id": "4a01a492-f21b-4cad-9836-910ec06f6e26", "batchId": "string", "engineJobId": "string", "createdByUserId": "4a01a492-f21b-4cad-9836-910ec06f6e26", "brandId": "4a01a492-f21b-4cad-9836-910ec06f6e26", "brandVersion": 1, "brandVersionId": "4a01a492-f21b-4cad-9836-910ec06f6e26", "templateId": "string", "format": "string", "kind": "still", "scale": 1, "meta": { "content": { "property1": null, "property2": null }, "durationS": 1, "scale": 1 }, "status": "queued", "progress": 0, "stage": "preparing", "outputKey": "string", "publicId": "string", "error": "string", "source": "app", "createdAt": "2019-08-24T14:15:22Z", "finishedAt": "2019-08-24T14:15:22Z" } ], "creditsDebited": 1}{ "error": { "code": "string", "message": "string", "details": null }}